## mandelbulber2 2.07.1

=== debian/changelog ===
mandelbulber2 (2.07.1-2mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Add alternative build-dep for libgsl0-dev.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 07 Aug 2016 15:37:09 -0700

mandelbulber2 (2.07.1-2) unstable; urgency=medium

  * Add a few missing files in debian/copyright.
  * Build depend on libpng-dev instead of libpng12-dev for the libpng16
    transition (closes: #821726).

 -- Giovanni Mascellani <gio@debian.org>  Tue, 19 Apr 2016 00:32:55 +0200

mandelbulber2 (2.07.1-1) unstable; urgency=medium

  * Initial release (closes: #819431).

 -- Giovanni Mascellani <gio@debian.org>  Sun, 17 Apr 2016 22:30:24 +0200
