=== debian/control ===
Source: mandelbulber2
Section: math
Priority: extra
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Giovanni Mascellani <gio@debian.org>
Build-Depends: debhelper (>= 9), qtbase5-dev, libpng-dev,
 libgsl-dev | libgsl0-dev, qttools5-dev, qttools5-dev-tools, docbook-xsl,
 xsltproc
Standards-Version: 3.9.8
Homepage: https://github.com/buddhi1980/mandelbulber2
Vcs-Git: https://anonscm.debian.org/git/collab-maint/mandelbulber2.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mandelbulber2.git

Package: mandelbulber2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 mandelbulber2-data (= ${source:Version})
Description: 3D fractal renderer and animator
 Mandelbulber2 is a ray-tracing application for drawing three-dimensional
 fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex
 or IFS fractals. It is highly customizable and features complex shading
 algorithms (among the others there are shadows, depth of field, ambient
 occlusion).
 .
 Mandelbulber2 is also able to produce animations and has a simple
 built-in 3D navigator for exploring the fractals.
 .
 Mandelbulber2 is a complete rewriting from scratches of Mandelbulber by
 the same author. It will obsolete Mandelbulber as soon as it reaches
 feature parity.

Package: mandelbulber2-data
Architecture: all
Depends: ${misc:Depends}
Description: 3D fractal renderer and animator - data files
 Mandelbulber2 is a ray-tracing application for drawing three-dimensional
 fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex
 or IFS fractals. It is highly customizable and features complex shading
 algorithms (among the others there are shadows, depth of field, ambient
 occlusion).
 .
 Mandelbulber2 is also able to produce animations and has a simple
 built-in 3D navigator for exploring the fractals.
 .
 Mandelbulber2 is a complete rewriting from scratches of Mandelbulber by
 the same author. It will obsolete Mandelbulber as soon as it reaches
 feature parity.
 .
 This package contains architecture-independent data files for
 Mandelbulber2.
