## mandelbulber2 2.08.3

=== debian/changelog ===
mandelbulber2 (2.08.3-1build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:13:07 +0000

mandelbulber2 (2.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Removing Debian patches, since they have been accepted upstream.

 -- Giovanni Mascellani <gio@debian.org>  Wed, 10 Aug 2016 23:16:47 +0200
