=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
 Source: mandelbulber2
 Section: math
 Priority: extra
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Giovanni Mascellani <gio@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libpng-dev,
- libgsl-dev | libgsl0-dev, qttools5-dev, qttools5-dev-tools, docbook-xsl,
- xsltproc
+Maintainer: Giovanni Mascellani <gio@debian.org>
+Build-Depends: debhelper (>= 9), qtbase5-dev, libpng-dev, libgsl-dev,
+ qttools5-dev, qttools5-dev-tools, docbook-xsl, xsltproc
 Standards-Version: 3.9.8
 Homepage: https://github.com/buddhi1980/mandelbulber2
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mandelbulber2.git
@@ -14,8 +11,7 @@
 
 Package: mandelbulber2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- mandelbulber2-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, mandelbulber2-data (= ${source:Version})
 Description: 3D fractal renderer and animator
  Mandelbulber2 is a ray-tracing application for drawing three-dimensional
  fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex
