=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export QT_SELECT=qt5

%:
	dh $@

DB2MAN = /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

%.1: debian/%.man.xml
	$(XP) $(DB2MAN) $<

override_dh_auto_clean:
	cd mandelbulber2/Release ; if [ -f Makefile ] ; then make clean ; rm Makefile ; fi
	rm -f *.1

override_dh_auto_configure:
	cd mandelbulber2/Release ; qmake -qt5

override_dh_auto_build: mandelbulber2.1
	cd mandelbulber2/Release ; make

override_dh_auto_install:
	dh_install -pmandelbulber2 mandelbulber2/Release/mandelbulber2 usr/bin
	dh_install -pmandelbulber2-data mandelbulber2/deploy/share/mandelbulber2 usr/share
	dh_install -pmandelbulber2 mandelbulber2/deploy/linux/mandelbulber2.desktop usr/share/applications
	rm -f debian/mandelbulber2-data/usr/share/mandelbulber2/data
	rm -f debian/mandelbulber2-data/usr/share/mandelbulber2/qt_data
	rm -f debian/mandelbulber2-data/usr/share/mandelbulber2/language
	dh_install -pmandelbulber2-data mandelbulber2/data usr/share/mandelbulber2
	dh_install -pmandelbulber2-data mandelbulber2/qt_data usr/share/mandelbulber2
	dh_install -pmandelbulber2-data mandelbulber2/language usr/share/mandelbulber2

override_dh_installchangelogs:
	dh_installchangelogs mandelbulber2/deploy/NEWS
