=== debian/watch ===
version=4
opts="uversionmangle=s%-%.%,filenamemangle=s%/buddhi1980/mandelbulber2/archive/([-\.0-9]+)\.tar\.gz%mandelbulber2-$1.tar.gz%" \
https://github.com/buddhi1980/mandelbulber2/tags /buddhi1980/mandelbulber2/archive/([-\.0-9]+)\.tar\.gz debian
