=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: mandelbulber2
 Section: math
 Priority: extra
-Maintainer: Giovanni Mascellani <gio@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libpng-dev, libgsl-dev,
- qttools5-dev, qttools5-dev-tools, docbook-xsl, xsltproc
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Giovanni Mascellani <gio@debian.org>
+Build-Depends: debhelper (>= 9), qtbase5-dev, libpng-dev,
+ libgsl0-dev, qtmultimedia5-dev,  qttools5-dev, qttools5-dev-tools, docbook-xsl,
+ xsltproc
 Standards-Version: 3.9.8
 Homepage: https://github.com/buddhi1980/mandelbulber2
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mandelbulber2.git
@@ -11,7 +14,8 @@
 
 Package: mandelbulber2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mandelbulber2-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ mandelbulber2-data (= ${source:Version})
 Description: 3D fractal renderer and animator
  Mandelbulber2 is a ray-tracing application for drawing three-dimensional
  fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex
