=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export QT_SELECT=qt5

%:
	dh $@ --parallel

DB2MAN = /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

%.1: debian/%.man.xml
	$(XP) $(DB2MAN) $<

override_dh_auto_clean:
	cd makefiles ; if [ -f Makefile ] ; then make clean ; rm Makefile ; fi
	rm -f *.1

override_dh_auto_configure:
	cd makefiles ; qmake -qt5

override_dh_auto_build: mandelbulber2.1
	cd makefiles ; make

override_dh_auto_install:
	dh_install -pmandelbulber2 makefiles/mandelbulber2 usr/bin
	dh_install -pmandelbulber2 mandelbulber2.desktop usr/share/applications
	rm -f debian/mandelbulber2-data/usr/share/mandelbulber2/*
	dh_install -pmandelbulber2-data usr/share/mandelbulber2/* usr/share/mandelbulber2

override_dh_installchangelogs:
	dh_installchangelogs NEWS
