=== debian/changelog ===
mandelbulber2 (2.13.2-5+rb2) UNRELEASED; urgency=medium

  * update

 -- Giovanni Mascellani <gio@debian.org>  Fri, 22 Jan 2021 11:55:54 +0800

mandelbulber2 (2.13.2-5) unstable; urgency=medium

  * Support cross building (closes: #923133). Thanks To Helmut Grohne for the
    patch.
    + Let dh_auto_configure pass cross flags to qmake.
    + Add qt5-qmake:native as build dependency.

 -- Giovanni Mascellani <gio@debian.org>  Sun, 24 Feb 2019 17:30:15 +0100

mandelbulber2 (2.13.2-4) unstable; urgency=medium

  * Add missing Replaces: directives (closes: #902962).

 -- Giovanni Mascellani <gio@debian.org>  Thu, 05 Jul 2018 09:58:11 +0200

mandelbulber2 (2.13.2-3) unstable; urgency=medium

  * Workaround a bug in LaTeX package chngcntr, which caused a FTBFS (closes:
    #897534).
  * Fix compilation on ppc64el (closes: #897445).

 -- Giovanni Mascellani <gio@debian.org>  Thu, 03 May 2018 09:03:01 +0200

mandelbulber2 (2.13.2-2) unstable; urgency=medium

  * Properly separate builds for architecture dependent and independent
    files.

 -- Giovanni Mascellani <gio@debian.org>  Mon, 16 Apr 2018 20:15:47 +0200

mandelbulber2 (2.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* after migration to salsa.
  * Support parallel building.
  * Support nodoc build option.
  * Bump Standards-Version to 4.1.4, with small changes.
  * Add doc-base registration for the PDF end user manual.

 -- Giovanni Mascellani <gio@debian.org>  Mon, 16 Apr 2018 15:00:38 +0200
