## mandelbulber2 2.14

=== debian/changelog ===
mandelbulber2 (2.14-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * debian/control: conflict and replace packages older than 2.13.2.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Jul 2018 16:37:29 -0700

mandelbulber2 (2.13.2-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop debhelper compat to 10 to ease backports.
  * Add alternative B-Ds texlive-generic-extra and texlive-generic-recommended.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Jul 2018 15:02:04 -0700
