=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: mandelbulber2
 Section: math
 Priority: optional
-Maintainer: Giovanni Mascellani <gio@debian.org>
-Build-Depends: debhelper (>= 11)
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Giovanni Mascellani <gio@debian.org>
+Build-Depends: debhelper (>= 10)
 Build-Depends-Arch: qtbase5-dev, qtmultimedia5-dev, libpng-dev,
  libgsl-dev, qttools5-dev, qttools5-dev-tools, opencl-dev,
- opencl-clhpp-headers, liblzo2-dev, qt5-qmake:native
-Build-Depends-Indep: docbook-xsl, xsltproc, texlive-plain-generic,
+ opencl-clhpp-headers, liblzo2-dev
+Build-Depends-Indep: docbook-xsl, xsltproc, 
+ texlive-plain-generic | texlive-generic-extra,
+ texlive-plain-generic | texlive-generic-recommended, 
  texlive-latex-extra, texlive-pictures, texlive-fonts-recommended,
  lmodern, ghostscript
 Standards-Version: 4.1.4
@@ -17,7 +20,8 @@
 Package: mandelbulber2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mandelbulber2-data (= ${source:Version})
-Replaces: mandelbulber2-data (<< 2.13.2-4)
+Conflicts: mandelbulber-data (<< 2.13.2)
+Replaces: mandelbulber-data (<< 2.13.2)
 Description: 3D fractal renderer and animator
  Mandelbulber2 is a ray-tracing application for drawing three-dimensional
  fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex
@@ -31,7 +35,8 @@
 Package: mandelbulber2-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: mandelbulber2 (<< 2.13.2-4)
+Conflicts: mandelbulber (<< 2.13.2)
+Replaces: mandelbulber (<< 2.13.2)
 Description: 3D fractal renderer and animator - data files
  Mandelbulber2 is a ray-tracing application for drawing three-dimensional
  fractals, like Mandelbulb, Mandelbox, Julia, trigonometric, hypercomplex
