## mandelbulber2 2.15

=== debian/changelog ===
mandelbulber2 (2.15-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Disable automatic dbgsym packages.
  * debian/rules: disable override_dh_auto_build-indep
  * Drop  fix-ppc64el-FTBFS-with-altivec-and-std-c++11.patch and
    fix-latex-chngcntr.patch.
  * debian/control:
    - add docbook-xml to B-D to prevent FTBFS.
    - add nvidia-opencl-icd and mesa-opencl-icd as recommends.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 17 Nov 2018 12:43:32 -0800
