## mandelbulber2 2.16

=== debian/changelog ===
mandelbulber2 (2.16-0.1~mx17+2) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 23 Jan 2019 18:16:02 -0800
