=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Arch: qtbase5-dev, qtmultimedia5-dev, libpng-dev,
  libgsl-dev, qttools5-dev, qttools5-dev-tools, opencl-dev,
  opencl-clhpp-headers, liblzo2-dev
-Build-Depends-Indep: docbook-xsl, xsltproc, 
+Build-Depends-Indep: docbook-xsl, docbook-xml, xsltproc, 
  texlive-plain-generic | texlive-generic-extra,
  texlive-plain-generic | texlive-generic-recommended, 
  texlive-latex-extra, texlive-pictures, texlive-fonts-recommended,
@@ -20,6 +20,7 @@
 Package: mandelbulber2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mandelbulber2-data (= ${source:Version})
+Recommends: nvidia-opencl-icd, mesa-opencl-icd
 Conflicts: mandelbulber-data (<< 2.13.2)
 Replaces: mandelbulber-data (<< 2.13.2)
 Description: 3D fractal renderer and animator
