=== debian/rules ===
--- 
+++ 
@@ -28,23 +28,23 @@
 	rm -f *.1
 
 override_dh_auto_configure-arch:
-	dh_auto_configure --builddirectory=build --sourcedirectory=mandelbulber2/qmake -- ../mandelbulber2/qmake/mandelbulber-opencl.pro
+	mkdir build ; cd build ; qmake -qt5 ../mandelbulber2/qmake/mandelbulber-opencl.pro
 
 override_dh_auto_build-arch:
 	cd build ; make $(MAKEJFLAG)
 	cd build ; mkdir language ; cd language ; cp -l ../../mandelbulber2/language/* . ; lrelease *.ts
 
-override_dh_auto_build-indep: mandelbulber2.1
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	cd docs ; ./build.sh
-endif
+# override_dh_auto_build-indep: mandelbulber2.1
+# ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+# 	cd docs ; ./build.sh
+# endif
 
 override_dh_auto_install-arch:
 	dh_install -pmandelbulber2 mandelbulber2/deploy/linux/mandelbulber2.desktop usr/share/applications
 	dh_install -pmandelbulber2 build/mandelbulber2 usr/bin
 	dh_install -pmandelbulber2 build/language/*.qm usr/share/mandelbulber2/language
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	ln -s ../mandelbulber2-data/handbook.pdf.gz debian/mandelbulber2/usr/share/doc/mandelbulber2
+	ln -s ../mandelbulber2-data/Mandelbulber_Manual.pdf.gz debian/mandelbulber2/usr/share/doc/mandelbulber2
 endif
 
 override_dh_auto_install-indep:
@@ -54,3 +54,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs mandelbulber2/deploy/NEWS
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
