## mandelbulber2 2.18.1

=== debian/changelog ===
mandelbulber2 (2.18.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - fixed problem with locked auto-refresh function.
    - fixed bug in CMakeList - there was missing SHARED_DOC_DIR definition.
    - Added new fractal formulas:
      - amazingSurfMod3
      - transfRotationIterControls
      - transfClamp4d
      - transfAbsAddMulti4d
      - transfRotateAboutVec3
      - transfOffsetSCurve4d
      - transfGnarl
      - transfBoxTiling4d
    - Modified fractal formulas:
      - menger middle mod, added vary scale and sphere inversion
      - trans_scale4d, added vary scale
      - aboxModKaliV2, added oldZ sign transform
      - transfAbsAddTgladFold4d, added iter controls and aux.color
      - transfBoxFold4dTglad, added linear vary scale option
      - mandelboxVariable, added variable functions for box limits and addCpixel
      - aboxModKali, added pre-rotation (variable)
      - transfQuaternionFold, re-structure DE
    - OpenCL: Added rendering of stereoscopic images.
    - OpenCL: Disabled loading of textures in fast and medium OpenCL modes
      (improves performance).
    - OpenCL: Fixed problem with "nan" estimated noise when some of pixels have
      infinite brightness.
    - OpenCL: Added missing code for DeltaDE josKleinian. Fixed bug #627.
    - OpenCL: Corrected displaying of total rendering time when DOF is used.
    - Effects: Added rectangle, circle, cube and sphere shapes to "fake lights"
      algorithm.
    - Effects: Added "thickness" parameter for "fake lights".
    - Effects: Added reduction of stereoscopic effect on poles when is used
      equirectangular projection.
    - Effects: Swapped eyes in top-bottom mode (default was incorrect when
      uploaded into Youtube).
    - Effects: Added button "Calculate optimal distance between eyes" for
      stereoscopic rendering.
    - Effects: Fixed bug in openCL multi-ray AO #634. When iterThreshMode was
      enabled, the detailLevel parameter was still used.
    - Effects: Added elimination of calculation of DOF at pixels with
      zero distance
    - Settings: Corrected loading of settings with animation containing
      parameters with names *_x, *_y, *_z, which are not vectors
    - Files: Added saving metadata (scene parameters) into image files.
    - Files: Fixed bug #637. Now files from _alpha and _zbuffer directories
      are deleted.
    - Files: Added saving 8-bit JPG z-buffer.
    - UI: Corrected behavior of "Default window layout".
    - UI: Disabled auto-refresh before settings are loaded (fixed problem with
      partial loading of settings).
    - UI: Better handling for "Material is not defined" problem.
      Fixed issue #636.
    - UI: Added displaying of path to log in Preferences.
    - UI: Added option to enable/disable rendering of thumbnails (used in load
      settings file selector).
    - UI: Fixed bug #654. Now central widget is not hidden when rendered image
      is detached.
    - UI: Fixed problem with unwanted repeating of rendering after mouse
      dragging.
    - Fractals: Added advanced controls for raymarching step calculation.
    - Compilation: Added 'make install' option for qmake.
    - Compilation: Added support for running Mandelbulber as portable
      application under Linux.
    - Compilation: Added continuous integration for AppImage.
    - Compilation: Fixed bug #655. Corrected paths tof doc and data in
      prepare_for_dev* scripts.

  * Actually build and install the PDF Manual from the doc sources like Debian prefers it.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 Jun 2019 20:37:44 -0700

mandelbulber2 (2.17-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
    - Added new fractal formulas
    - josKleinianV2
    - mandelbulbAtan2Power2
    - bristorbrot2
    - mandeltorus
    - mandelbulbEye
    - transfBoxWrap4d
    - transfSphericalInvV2 BETA
    - added sphere inversion to PseudoKleinian and Jos Kleinian
    - fixed scale in transfAbsAddConditional 3d & 4d
    - fixed type2 fold in amazingSurfMod2
    - OpenCL: Added support for multi-GPU rendering
    - OpenCL: Rendering by GPUs moved to separate thread. Image processing and
      refreshing doesn't slow down rendering and GPUs can be utilized to 100%
    - OpenCL: Added reservation of GPU time for the system
    - OpenCL: Improved quality of volumetric effects in OpenCL mode (when the 
      distance from camera varies greatly)
    - OpenCL: improved error handling
    - OpenCL: Thumbnails in PreviewFileDialog are now rendered using OpenCL (or
      using CPU if distance to fractal is less than 1e-5)
    - Fractals: Corrected rendering of fractal cross-sections
    - Fractals:
    - Fixed problem with Pseudo Kleinian fractal which doesn't use maxiter and
      interior mode
    - Shaders: Added new properties for material color:
    - luminosity color the same as object color
    - color of reflections
    - color of reflections the same as object color
    - color of transparency
    - color of transparency the same as object color
    - Shaders: Added roughness property to materials
    - Shaders: Fixed variation in brightness between different image resolutions
      when "connect detail level with image resolution" was enabled.
    - Shaders: Fixed bug causing wrong appearance of specular highlights when
      diffusionTextureIntensity was low and texture mapping was disabled.
    - Shaders: Fixed bug: glow was not calculated on CPU with interior mode
    - Shaders: There was missing updating input.delta in volumetric shader (CPU
      code) - issue #614
    - Shaders: Fixed bug #618. Max distance for SSAO was limited to 100.0
    - Shaders: Fixed bug in AmbientOcclusion shader (wrong appearance when
      maxiter reached)
    - Shaders: Corrected code for non-DE shading mode to not use distance
      estimation at all.
    - UI: Added displaying of last rendered tiles with noise statistics when MC
      is used.
    - UI: Fixed not working Reset (local reset) buttons

