## mandelbulber2 2.19

=== debian/changelog ===
mandelbulber2 (2.19-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Added new fractal formulas
      - mandelbulbPower1234
      - mengerPolyFold
      - ifs_xy
      - transfDiagonalFold
      - transfPolyFoldAtan
      - transfPolyFoldAtan2
      - transfAbsAddConditional2
    - modified fractal formulas
      - transfPolyFoldSymXY, added XY to name and updated code
      - transfPolyFoldSymMulti, updated code
    - Shaders: surface color palette replaced with gradient editor
    - Shaders: added gradient for specular highlights
    - Shaders: added gradient for diffusion
    - Shaders: added gradient for luminosity
    - Shaders: added gradient for reflectance
    - Shaders: added gradient for transparency
    - Shaders: added gradient for roughness
    - Shaders: added texture mapping for reflectance
    - Shaders: added texture mapping for transparency
    - Shaders: added texture mapping for roughness
    - Shaders: added global illumination by volumetric effects
    - Shaders: Fixed bug: corrected rotation of textures when main fractal object is rotated 
    - Animation: added morphing of gradients
    - Primitives: improved water animation
    - UI: added context menu and quick action buttons for gradients
    - UI: Added option in preferences to disable tooltips (fixed issue #213)
    - UI: Select Fusion UI style as default when none is selected
    - UI: Fixed bugs #682 and #594: after using ctrl+s cursor permanently jumped to the right in edit fields 
    - Settings: added conversion of old color palettes to new gradients
    - Image: added saving diffuse optional channel
    - Image: added saving world coordinate optional channel
    - Code: refactored code for NetRender
    - Code: a lot of small code improvements and cleaning up
    - Compilation: Added missing installer.pri to the Linux package
    - Compilation: moved to Qt 5.12 in msvc builds for Windows
    - Fixed bug: fix for crashing when preview size was changed during rendering
    - Fixed bug: when program was closed during populating toolbar, there was left zombie process.
    - Fixed bug #609: Now it is not possible to run with OpenCL platform index -1
    - Examples: added many new example settings

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Aug 2019 16:40:48 -0700

mandelbulber2 (2.18.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - fixed problem with locked auto-refresh function.
    - fixed bug in CMakeList - there was missing SHARED_DOC_DIR definition.
    - Added new fractal formulas:
      - amazingSurfMod3
      - transfRotationIterControls
      - transfClamp4d
      - transfAbsAddMulti4d
      - transfRotateAboutVec3
      - transfOffsetSCurve4d
      - transfGnarl
      - transfBoxTiling4d
    - Modified fractal formulas:
      - menger middle mod, added vary scale and sphere inversion
      - trans_scale4d, added vary scale
      - aboxModKaliV2, added oldZ sign transform
      - transfAbsAddTgladFold4d, added iter controls and aux.color
      - transfBoxFold4dTglad, added linear vary scale option
      - mandelboxVariable, added variable functions for box limits and addCpixel
      - aboxModKali, added pre-rotation (variable)
      - transfQuaternionFold, re-structure DE
    - OpenCL: Added rendering of stereoscopic images.
    - OpenCL: Disabled loading of textures in fast and medium OpenCL modes
      (improves performance).
    - OpenCL: Fixed problem with "nan" estimated noise when some of pixels have
      infinite brightness.
    - OpenCL: Added missing code for DeltaDE josKleinian. Fixed bug #627.
    - OpenCL: Corrected displaying of total rendering time when DOF is used.
    - Effects: Added rectangle, circle, cube and sphere shapes to "fake lights"
      algorithm.
    - Effects: Added "thickness" parameter for "fake lights".
    - Effects: Added reduction of stereoscopic effect on poles when is used
      equirectangular projection.
    - Effects: Swapped eyes in top-bottom mode (default was incorrect when
      uploaded into Youtube).
    - Effects: Added button "Calculate optimal distance between eyes" for
      stereoscopic rendering.
    - Effects: Fixed bug in openCL multi-ray AO #634. When iterThreshMode was
      enabled, the detailLevel parameter was still used.
    - Effects: Added elimination of calculation of DOF at pixels with
      zero distance
    - Settings: Corrected loading of settings with animation containing
      parameters with names *_x, *_y, *_z, which are not vectors
    - Files: Added saving metadata (scene parameters) into image files.
    - Files: Fixed bug #637. Now files from _alpha and _zbuffer directories
      are deleted.
    - Files: Added saving 8-bit JPG z-buffer.
    - UI: Corrected behavior of "Default window layout".
    - UI: Disabled auto-refresh before settings are loaded (fixed problem with
      partial loading of settings).
    - UI: Better handling for "Material is not defined" problem.
      Fixed issue #636.
    - UI: Added displaying of path to log in Preferences.
    - UI: Added option to enable/disable rendering of thumbnails (used in load
      settings file selector).
    - UI: Fixed bug #654. Now central widget is not hidden when rendered image
      is detached.
    - UI: Fixed problem with unwanted repeating of rendering after mouse
      dragging.
    - Fractals: Added advanced controls for raymarching step calculation.
    - Compilation: Added 'make install' option for qmake.
    - Compilation: Added support for running Mandelbulber as portable
      application under Linux.
    - Compilation: Added continuous integration for AppImage.
    - Compilation: Fixed bug #655. Corrected paths tof doc and data in
      prepare_for_dev* scripts.

  * Actually build and install the PDF Manual from the doc sources like Debian prefers it.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 Jun 2019 20:37:44 -0700
