=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Package: mandelbulber2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mandelbulber2-data (= ${source:Version})
-Recommends: nvidia-opencl-icd, mesa-opencl-icd
+Recommends: beignet-opencl-icd | nvidia-opencl-icd | mesa-opencl-icd
 Conflicts: mandelbulber-data (<< 2.13.2)
 Replaces: mandelbulber-data (<< 2.13.2)
 Description: 3D fractal renderer and animator
