=== debian/rules ===
--- 
+++ 
@@ -34,10 +34,11 @@
 	cd build ; make $(MAKEJFLAG)
 	cd build ; mkdir language ; cd language ; cp -l ../../mandelbulber2/language/* . ; lrelease *.ts
 
-# override_dh_auto_build-indep: mandelbulber2.1
-# ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-# 	cd docs ; ./build.sh
-# endif
+override_dh_auto_build-indep: mandelbulber2.1
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	cd docs ; ./build.sh
+	cp docs/build/handbook.pdf mandelbulber2/deploy/doc/Mandelbulber_Manual.pdf
+endif
 
 override_dh_auto_install-arch:
 	dh_install -pmandelbulber2 mandelbulber2/deploy/linux/mandelbulber2.desktop usr/share/applications
